Bug 1312329 - python-epdb: Provide a Python 3 subpackage [NEEDINFO]
python-epdb: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-epdb (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-02-26 07:51 EST by Tomas Orsava
Modified: 2016-09-07 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-epdb-0.15-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 07:20:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: needinfo? (jforbes)


Attachments (Terms of Use)
specfile patch (2.86 KB, patch)
2016-06-29 05:27 EDT, Lumír Balhar
no flags Details | Diff
specfile patch (2.98 KB, patch)
2016-06-29 05:51 EDT, Lumír Balhar
no flags Details | Diff
New upstream version and python2/3 subpackages. (3.55 KB, patch)
2016-07-13 06:03 EDT, Lumír Balhar
no flags Details | Diff
New upstream version and python2/3 subpackages (3.53 KB, patch)
2016-07-13 07:00 EDT, Lumír Balhar
no flags Details | Diff
Rebased patch + update sources (3.97 KB, patch)
2016-07-28 10:17 EDT, Lumír Balhar
no flags Details | Diff
Fixed patch after review (3.93 KB, patch)
2016-07-28 11:07 EDT, Lumír Balhar
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-02-26 07:51:15 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Dominika Krejčí 2016-04-20 11:01:22 EDT
Hello Justin,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 2 Lumír Balhar 2016-06-29 05:27 EDT
Created attachment 1173729 [details]
specfile patch

Hello.

I am providing patch for package specfile with new upstream version and support for python2/3 subpackages. Could you please review it and do the update?

I am not sure but it seems that patch mentioned in specfile wasn't used so I've removed it.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14699135

Thank you and have a nice day.
Lumir
Comment 3 Lumír Balhar 2016-06-29 05:51 EDT
Created attachment 1173731 [details]
specfile patch

Just updating patch.
Comment 4 Lumír Balhar 2016-07-13 06:03 EDT
Created attachment 1179178 [details]
New upstream version and python2/3 subpackages.

Updating patch - better executable handlink and symlinks to other names.
Comment 5 Lumír Balhar 2016-07-13 07:00 EDT
Created attachment 1179218 [details]
New upstream version and python2/3 subpackages

Fixing bug.
Comment 6 Jan Kurik 2016-07-26 00:24:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 7 Lumír Balhar 2016-07-28 10:17 EDT
Created attachment 1185125 [details]
Rebased patch + update sources

Rebased patch and updated sources
Comment 8 Lumír Balhar 2016-07-28 11:07 EDT
Created attachment 1185153 [details]
Fixed patch after review

Providing final version of patch reviewed by Charalampos Stratakis.
Comment 9 Miro Hrončok 2016-08-16 06:50:05 EDT
Justin,
do you mind if I push this? If you don't reply in a week, I assume it's OK.

Note You need to log in before you can comment on or make changes to this bug.